
QGIS Application - Bug report #1300

corrupted display when moving vertices

2008-09-07 06:23 AM - Maciej Sieczka -

Status: Closed

Priority: Low

Assignee: nobody -

Category: Digitising

Affected QGIS version: Regression?: No

Operating System: Debian Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 11360

Description

In trunk r9278 the "Move vertex" digitizer tool behaves strange. Instead of morphing the polygon shape as I drag a vertex, a strange red

line is rendered from canvas bottom following cursor moves.

See the attached screendump or whatch the problem live http://www.sieczka.org/tmp/qgis_digitize_red_line.html (a Flash screenkast).

Debian testing amd64, QT 4.4.0.

Associated revisions

Revision 918c541d - 2008-09-13 09:28 PM - Jürgen Fischer

use WKB in QgsGeometry::vertexAt() only:

- includes multipolygons and inner rings again

- fixes #1300

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@9321 c8812cc2-4d05-0410-92ff-de0c093fc19c

Revision 92c56d4e - 2008-09-13 09:28 PM - Jürgen Fischer

use WKB in QgsGeometry::vertexAt() only:

- includes multipolygons and inner rings again

- fixes #1300

git-svn-id: http://svn.osgeo.org/qgis/trunk@9321 c8812cc2-4d05-0410-92ff-de0c093fc19c

History

#1 - 2008-09-14 11:14 PM - Marco Hugentobler

- Resolution set to fixed

- Status changed from Open to Closed

Thanks to Juergen, this is fixed current svn trunk.

#2 - 2009-08-22 12:57 AM - Anonymous

Milestone Version 1.0.0 deleted
